<!DOCTYPE html>
 <meta charset="UTF-8"> 
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Le Glisse Nombre Cycle 3</title>
	<script type="text/javascript" src="scripts/jquery-3.7.1.min.js"></script>
	<script type="text/javascript" src="scripts/jquery-ui.min.js"></script>
	<script type="text/javascript" src="./scripts/langue.js"></script>
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
</head>

<body onload="init();">	
<div id="widget">
<!-- Ajout des boutons de commande !-->
		<!-- Multiplication !-->
		<div id="multiplier">
			<div class="btn multiplier"></div>
			<div class="bouton2">10</div>
			<div class="bouton2">100</div>
			<div class="bouton2">1 000</div>
		</div>
		<!-- Division !-->
		<div id="diviser">
			<div class="btn diviser"></div>
				<div class="bouton2">10</div>
			<div class="bouton2">100</div>
			<div class="bouton2">1 000</div>
		</div>
		<div id="tableau">
			<!-- Tableau de numération !-->
				<!-- Noms des classes en haut de colonnes !-->
				<div id="ligne1">			
				<div class="entete_classe invisible"></div>
				<div class="entete_classe orange" id="milliards">Milliards</div>
				<div class="entete_classe jaune" id="millions">Millions</div>
				<div class="entete_classe vert" id="mille">Mille</div>
				<div class="entete_classe bleu" id="unites">Unités</div>
				</div>
				<!-- Lettres des unités de classes !-->
				<div id="ligne2">
					<div class="unites invisible"></div>
					<div class="unites invisible"></div>
					<div class="unites invisible"></div>
					
					<div class="unites orange c">c</div>
					<div class="unites orange d">d</div>
					<div class="unites orange u">u</div>
				
					<div class="unites jaune c">c</div>
					<div class="unites jaune d">d</div>
					<div class="unites jaune u">u</div>
				
					<div class="unites vert c">c</div>
					<div class="unites vert d">d</div>
					<div class="unites vert u">u</div>
				
					<div class="unites bleu c">c</div>
					<div class="unites bleu d">d</div>
					<div class="unites bleu u">u</div>
				 
					<div class="decimal dixiemes" id="dixiemes">dixièmes</div>
					<div class="decimal centiemes" id="centiemes">centièmes</div>
					<div class="decimal milliemes" id="milliemes">millièmes</div>
					<div class="decimal dixmilliemes" id="dixmilliemes">dix-millièmes</div>
				</div>
			<!-- Bande numérique coulissante!-->
			<div class="glisse_nombre">
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
					<div class="chiffre"><input type="text"value="" maxlength=1 class='normal'><div class="increment"><div  class="bouton plus"></div><div  class="bouton moins"></div></div></div>
				</div>
			<!-- Zone de saisie et d'affichage du nombre utilisé -->
			<div id="nombre"><input type="text" placeholder="Nombre"></div>
			<!-- Repérage de l'Unité et positionnement de la virgule !-->
			<div id="chiffre_unite"></div>
			<div id="la_virgule">,</div>
		<!-- Menu !-->
		<div id="menu">
			<div class="btn recommencer" title="Revenir en position initiale"></div>
			<div class="btn apropos" title="À propos ...."></div>
			<div class="btn sombre" title="Mode sombre...."></div>
		</div>
		</div>
	</div>		
		<!-- #################!-->
		<!-- Boîte de dialogue "A propos" !-->
		<!-- #################!-->
		<div id="infos" title="Glisse Nombre Cycle 3"style="display: none; width:auto"></div>
	</body>
	<script type="text/javascript" src="scripts/glisse_nombre.js"></script>

</html>
